Loading...
Searching...
No Matches
ExtractAll< _ResultTreeType, DenseValueType > Struct Template Reference

a simple utility class used by `extractSparseTreeWithMask` More...

`#include <openvdb/tools/DenseSparseTools.h>`

## Public Types

using | ResultTreeType = _ResultTreeType
using | ResultLeafNodeType = typename ResultTreeType::LeafNodeType

## Public Member Functions

template<typename CoordOrIndex >
void | operator() (const DenseValueType &a, const CoordOrIndex &offset, ResultLeafNodeType *leaf) const

## Detailed Description

template<typename _ResultTreeType, typename DenseValueType>
struct openvdb::v11_0::tools::ExtractAll< _ResultTreeType, DenseValueType >

a simple utility class used by `extractSparseTreeWithMask`

## Member Typedef Documentation

## ResultLeafNodeType

template<typename _ResultTreeType , typename DenseValueType >

using ResultLeafNodeType = typename ResultTreeType::LeafNodeType

## ResultTreeType

template<typename _ResultTreeType , typename DenseValueType >

using ResultTreeType = _ResultTreeType

## Member Function Documentation

## operator()()

template<typename _ResultTreeType , typename DenseValueType >
template<typename CoordOrIndex >

void operator() | ( | const DenseValueType & | a,
|  | const CoordOrIndex & | offset,
|  | ResultLeafNodeType * | leaf
| ) |  | const

inline